<template>
  <v-app-bar flat dark color="primary lighten-1">
    <v-row align-content="center">
      <v-col cols="2">
        <h2>Cafe Bang Moell</h2>
      </v-col>
      <v-col cols="5">
        <v-btn
          v-for="(filter, index) in resources.filterList"
          :key="'filter-' + index"
          class="mr-4 text-capitalize"
          color="white"
          :class="{ 'blue--text': filter === filterType }"
          :outlined="filter !== filterType"
          @click="changeFilter(filter)"
          >{{ filter }}</v-btn
        >
      </v-col>
      <v-spacer />
      <v-col cols="1" class="pt-5">
        <h4>Hello, User</h4>
      </v-col>
      <v-col cols="1">
        <v-btn class="mr-4 text-capitalize" text @click="logout">Logout</v-btn>
      </v-col>
    </v-row>
  </v-app-bar>
</template>

<script>
export default {
  name: 'NavigationBar',
  data() {
    return {
      resources: {
        filterList: ['all', 'teh', 'kopi', 'juice', 'snack'],
      },
    };
  },
  computed: {
    filterType() {
      return this.$store.state.filterUsed;
    },
  },
  methods: {
    changeFilter(type) {
      this.$store.commit('changeFilter', type);
    },
    logout() {
      this.$store.commit('logout');
      this.$router.push('/login');
    },
  },
};
</script>

<style></style>
